#!/usr/bin/env node --loader ts-node/esm
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const tstest_1 = require("tstest");
const instance_to_class_js_1 = __importDefault(require("./instance-to-class.js"));
const fixture_class_js_1 = __importDefault(require("../tests/fixtures/fixture-class.js"));
(0, tstest_1.test)('instanceToClass smoke testing', async (t) => {
    const instance = new fixture_class_js_1.default(1, 2);
    const SameFixtureClass = (0, instance_to_class_js_1.default)(instance, fixture_class_js_1.default);
    t.equal(SameFixtureClass, fixture_class_js_1.default, 'should get back the same Class for its own instance');
    class ChildFixtureClass extends fixture_class_js_1.default {
    }
    const anotherInstance = new ChildFixtureClass(3, 4);
    const AnotherFixtureClass = (0, instance_to_class_js_1.default)(anotherInstance, fixture_class_js_1.default);
    t.notEqual(AnotherFixtureClass, fixture_class_js_1.default, 'should get back another Class for instance from its child class');
});
//# sourceMappingURL=instance-to-class.spec.js.map